<html><head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    <title>imdeconvl2</title>
    <style type="text/css" media="all">
      @import url("scilab_code.css");
      @import url("xml_code.css");
      @import url("c_code.css");
      @import url("style.css");
    </style>
  </head>
  <body>
    <div class="manualnavbar">
    <table width="100%"><tr>
      <td width="30%">
    	<span class="previous"><a href="imadjust.html">&lt;&lt; imadjust</a></span>

      </td>
      <td width="40%" class="center">
      	<span class="top"><a href="section_66be415d912567cd351e37e73bc467f0.html">Image Enhancement and Restoration</a></span>

      </td>
      <td width="30%" class="next">
      	<span class="next"><a href="imdeconvsobolev.html">imdeconvsobolev &gt;&gt;</a></span>

      </td>
    </tr></table>
      <hr />
    </div>



    <span class="path"><a href="index.html">IPCV - Image Processing and Computer Vision Toolbox for Scilab</a> &gt;&gt; <a href="section_66be415d912567cd351e37e73bc467f0.html">Image Enhancement and Restoration</a> &gt; imdeconvl2</span>

    <br /><br />
    <div class="refnamediv"><h1 class="refname">imdeconvl2</h1>
    <p class="refpurpose">Deconvolution with L2 Regularization</p></div>


<div class="refsynopsisdiv"><h3 class="title">Syntax</h3>
   <div class="synopsis"><pre><span class="default">imout</span><span class="default"> = </span><span class="functionid">imdeconvl2</span><span class="default">(</span><span class="default">imin</span><span class="default">,</span><span class="default">psf</span><span class="default">,</span><span class="default">lambda</span><span class="default">)</span></pre></div></div>

<div class="refsection"><h3 class="title">Parameters</h3>
   <dl><dt><span class="term">imin :</span>
      <dd><p class="para">Source Image</p></dd></dt>
   <dt><span class="term">f :</span>
      <dd><p class="para">Blur function</p></dd></dt>
   <dt><span class="term">lamda :</span>
      <dd><p class="para">Regularization parameter</p></dd></dt>
   <dt><span class="term">imout :</span>
      <dd><p class="para">Deblurred Image</p></dd></dt></dl></div>

<div class="refsection"><h3 class="title">Description</h3>
   <p class="para">Deconvolution is obtained by dividing the Fourier transform of :
<p class="para"><span><img src='./_LaTeX_imdeconvl2.xml_1.png' style='position:relative;top:13px;width:249px;height:32px'/></span></p>
To avoid this explosion, we consider a simple regularization.
<p class="para"><span><img src='./_LaTeX_imdeconvl2.xml_2.png' style='position:relative;top:8px;width:236px;height:24px'/></span></p>
Since the filtering is diagonalized over Fourier, the solution is simply computed over the Fourier domain as:
<p class="para"><span><img src='./_LaTeX_imdeconvl2.xml_3.png' style='position:relative;top:13px;width:128px;height:34px'/></span></p></p>
   <p class="para"></p></div>

<div class="refsection"><h3 class="title">Examples</h3>
   <div class="programlisting"><table border="0" width="100%"><tr><td width="98%"><pre class="scilabcode"><span class="scilabid">S</span> <span class="scilaboperator">=</span> <span class="scilabid">imread</span><span class="scilabopenclose">(</span><a class="scilabcommand" href="scilab://fullpath">fullpath</a><span class="scilabopenclose">(</span><span class="scilabid">getIPCVpath</span><span class="scilabopenclose">(</span><span class="scilabopenclose">)</span> <span class="scilaboperator">+</span> <span class="scilabstring">&#0034;</span><span class="scilabstring">/images/balloons_gray.png</span><span class="scilabstring">&#0034;</span><span class="scilabopenclose">)</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span>
<span class="scilabid">S</span> <span class="scilaboperator">=</span> <span class="scilabid">im2double</span><span class="scilabopenclose">(</span><span class="scilabid">S</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span>
<span class="scilabid">h</span> <span class="scilaboperator">=</span> <span class="scilabid">fspecial</span><span class="scilabopenclose">(</span><span class="scilabstring">&#0039;</span><span class="scilabstring">motion</span><span class="scilabstring">&#0039;</span><span class="scilabdefault">,</span><span class="scilabnumber">25</span><span class="scilabdefault">,</span><span class="scilabnumber">45</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span>
<span class="scilabid">S2</span> <span class="scilaboperator">=</span> <span class="scilabid">imfilter</span><span class="scilabopenclose">(</span><span class="scilabid">S</span><span class="scilabdefault">,</span><span class="scilabid">h</span><span class="scilabdefault">,</span><span class="scilabstring">&#0039;</span><span class="scilabstring">circular</span><span class="scilabstring">&#0039;</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span>
<span class="scilabid">imshow</span><span class="scilabopenclose">(</span><span class="scilabid">S2</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span>
<span class="scilabid">S3</span> <span class="scilaboperator">=</span> <span class="scilabid">imdeconvl2</span><span class="scilabopenclose">(</span><span class="scilabid">S2</span><span class="scilabdefault">,</span><span class="scilabid">h</span><span class="scilabdefault">,</span><span class="scilabnumber">0</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span>
<a class="scilabcommand" href="scilab://figure">figure</a><span class="scilabdefault">;</span><span class="scilabid">imshow</span><span class="scilabopenclose">(</span><span class="scilabid">S3</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span></pre></td><td valign="top"><a href="scilab://scilab.execexample/"><img src="ScilabExecute.png" border="0"/></a></td><td valign="top"><a href="scilab://scilab.editexample/"><img src="ScilabEdit.png" border="0"/></a></td><td></td></tr></table></div></div>

<div class="refsection"><h3 class="title">See also</h3>
   <ul class="itemizedlist"><li class="member"><a href="imdeconvsobolev.html" class="link">imdeconvsobolev</a></li>
   <li class="member"><a href="imdeconvwiener.html" class="link">imdeconvwiener</a></li></ul></div>

<div class="refsection"><h3 class="title">Authors</h3>
   <ul class="itemizedlist"><li class="member">Tan Chin Luh</li></ul></div>

<div class="refsection"><h3 class="title">Bibliography</h3>
   <p class="para">1. Advanced Signal, Image and Surface Processing, Ceremade, Université Paris-Dauphine</p></div>
    <br />

    <div class="manualnavbar">
    <table width="100%">
    <tr><td colspan="3" class="next"><a href="http://bugzilla.scilab.org/enter_bug.cgi?product=Scilab%20software&component=Documentation%20pages" class="ulink">Report an issue</a></td></tr>
<tr>
      <td width="30%">
    	<span class="previous"><a href="imadjust.html">&lt;&lt; imadjust</a></span>

      </td>
      <td width="40%" class="center">
      	<span class="top"><a href="section_66be415d912567cd351e37e73bc467f0.html">Image Enhancement and Restoration</a></span>

      </td>
      <td width="30%" class="next">
      	<span class="next"><a href="imdeconvsobolev.html">imdeconvsobolev &gt;&gt;</a></span>

      </td>
    </tr></table>
      <hr />
    </div>
  </body>
</html>
